Bug 409909 - Crash closing krita after deleting session [gdb backtrace]
Summary: Crash closing krita after deleting session [gdb backtrace]
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: git master (please specify the git hash!)
Platform: Other Linux
: NOR crash
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-17 17:27 UTC by wolthera
Modified: 2019-07-29 08:35 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description wolthera 2019-07-17 17:27:25 UTC
SUMMARY
Trying to figure out my last crash, I figured it was maybe related to me having a session open. Deleted session, now got this crash, proly unrelated...

STEPS TO REPRODUCE
1. Have a session in file->sessions.
2. Have 'save to session on close' enabled
3. Delete session in file->sessions
4. Close Krita.

OBSERVED RESULT

GDB BACKTRACE
====================================================

Thread 1 "krita" received signal SIGSEGV, Segmentation fault.
0x00007ffff6c03890 in QVector<KisWindowLayoutResource::Private::Window>::resize (this=0x18, asize=0)
    at /usr/include/x86_64-linux-gnu/qt5/QtCore/qvector.h:413
413         const int oldAlloc = int(d->alloc);
(gdb) thread apply all backtrace

Thread 16 (Thread 0x7fff8f7fe700 (LWP 2771)):
#0  0x00007ffff283bbf9 in __GI___poll (fds=0x7fff80004ee0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fffea7355c9 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fffea7356dc in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff3396dcb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007ffff333803a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007ffff315f4ca in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007ffff3160c72 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007fffec0326db in start_thread (arg=0x7fff8f7fe700) at pthread_create.c:463
#8  0x00007ffff284888f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7fff8ffff700 (LWP 2762)):
#0  0x00007ffff283bbf9 in __GI___poll (fds=0x7fff88004db0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fffea7355c9 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fffea7356dc in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff3396daf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007ffff333803a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007ffff315f4ca in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fffd5a16926 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#7  0x00007ffff3160c72 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007fffec0326db in start_thread (arg=0x7fff8ffff700) at pthread_create.c:463
#9  0x00007ffff284888f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7fffb1e21700 (LWP 2756)):
#0  0x00007ffff283bbf9 in __GI___poll (fds=0x7fff90004990, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fffea7355c9 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#2  0x00007fffea7356dc in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff3396daf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007ffff333803a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007ffff315f4ca in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fffd5551115 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007ffff3160c72 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007fffec0326db in start_thread (arg=0x7fffb1e21700) at pthread_create.c:463
#9  0x00007ffff284888f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7fffb1620700 (LWP 2582)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff3163630 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#2  0x00007ffff31634a2 in QSemaphore::tryAcquire(int, int) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#3  0x00007ffff51b145c in KisTileDataSwapper::waitForWork (this=
    0x7ffff5966620 <(anonymous namespace)::Q_QGS_s_instance::innerFunction()::holder+64>)
    at /home/wolthera/krita/src/libs/image/tiles3/swap/kis_tile_data_swapper.cpp:86
#4  0x00007ffff51b1478 in KisTileDataSwapper::run (
    this=0x7ffff5966620 <(anonymous namespace)::Q_QGS_s_instance::innerFunction()::holder+64>)
    at /home/wolthera/krita/src/libs/image/tiles3/swap/kis_tile_data_swapper.cpp:92
#5  0x00007ffff3160c72 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fffec0326db in start_thread (arg=0x7fffb1620700) at pthread_create.c:463
#7  0x00007ffff284888f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7fffb477c700 (LWP 2484)):
#0  0x00007ffff283bbf9 in __GI___poll (fds=0x7fffac003ce0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fffea7355c9 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fffea7356dc in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff3396daf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
---Type <return> to continue, or q <return> to quit---
#4  0x00007ffff333803a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007ffff315f4ca in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007ffff3160c72 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007fffec0326db in start_thread (arg=0x7fffb477c700) at pthread_create.c:463
#8  0x00007ffff284888f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7fffcd735700 (LWP 2264)):
#0  0x00007ffff283bbf9 in __GI___poll (fds=0x7fffc801cb10, nfds=4, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fffea7355c9 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fffea7356dc in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff3396daf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007ffff333803a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007ffff315f4ca in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fffec260015 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5DBus.so.5
#7  0x00007ffff3160c72 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007fffec0326db in start_thread (arg=0x7fffcd735700) at pthread_create.c:463
#9  0x00007ffff284888f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7fffe098d700 (LWP 2263)):
#0  0x00007fffec0389f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x555557354f98)
    at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x555557354f48, cond=0x555557354f70) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x555557354f70, mutex=0x555557354f48) at pthread_cond_wait.c:655
#3  0x00007fffd95a43da in ?? () from /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007fffd95a4107 in ?? () from /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007fffec0326db in start_thread (arg=0x7fffe098d700) at pthread_create.c:463
#6  0x00007ffff284888f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

---Type <return> to continue, or q <return> to quit---
Thread 8 (Thread 0x7fffd84da700 (LWP 2258)):
#0  0x00007ffff283bbf9 in __GI___poll (fds=0x7fffd84d9ca8, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fffe99c0747 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007fffe99c236a in xcb_wait_for_event () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007fffe3542578 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5
#4  0x00007ffff3160c72 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fffec0326db in start_thread (arg=0x7fffd84da700) at pthread_create.c:463
#6  0x00007ffff284888f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7ffff7f8b800 (LWP 2104)):
#0  0x00007ffff6c03890 in QVector<KisWindowLayoutResource::Private::Window>::resize (this=0x18, asize=0)
    at /usr/include/x86_64-linux-gnu/qt5/QtCore/qvector.h:413
#1  0x00007ffff6c01a09 in QVector<KisWindowLayoutResource::Private::Window>::clear (this=0x18)
    at /usr/include/x86_64-linux-gnu/qt5/QtCore/qvector.h:426
#2  0x00007ffff6bffb5a in KisWindowLayoutResource::setWindows (this=0x55555d443610, mainWindows=...)
    at /home/wolthera/krita/src/libs/ui/KisWindowLayoutResource.cpp:364
#3  0x00007ffff6c0bf85 in KisSessionResource::storeCurrentWindows (this=0x55555d443610)
    at /home/wolthera/krita/src/libs/ui/KisSessionResource.cpp:126
#4  0x00007ffff6ba3ec5 in KisPart::closeSession (this=
    0x7ffff7dd2010 <_ZZN12_GLOBAL__N_116Q_QGS_s_instance13innerFunctionEvE6holder>, keepWindows=false)
    at /home/wolthera/krita/src/libs/ui/KisPart.cpp:338
#5  0x00007ffff6b859c1 in KisMainWindow::closeEvent (this=0x555565183320, e=0x7fffffffd890)
    at /home/wolthera/krita/src/libs/ui/KisMainWindow.cpp:1282
#6  0x00007ffff41759c8 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#7  0x00007ffff427ee50 in QMainWindow::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#8  0x00007ffff4ddc878 in KMainWindow::event (this=0x555565183320, ev=0x7fffffffd890)
    at /home/wolthera/krita/src/libs/widgetutils/xmlgui/kmainwindow.cpp:765
#9  0x00007ffff4e15043 in KXmlGuiWindow::event (this=0x555565183320, ev=0x7fffffffd890)
    at /home/wolthera/krita/src/libs/widgetutils/xmlgui/kxmlguiwindow.cpp:125
#10 0x00007ffff413565c in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
   from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
---Type <return> to continue, or q <return> to quit---
#11 0x00007ffff413cb90 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#12 0x00007ffff6b498eb in KisApplication::notify (this=0x7fffffffe0b0, receiver=0x555565183320, event=0x7fffffffd890)
    at /home/wolthera/krita/src/libs/ui/KisApplication.cpp:653
#13 0x00007ffff3339d18 in QCoreApplication::notifyInternal2(QObject*, QEvent*) ()
   from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#14 0x00007ffff4170db5 in QWidgetPrivate::close_helper(QWidgetPrivate::CloseMode) ()
   from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#15 0x00007ffff4190106 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#16 0x00007ffff41937a4 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#17 0x00007ffff413565c in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
   from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#18 0x00007ffff413cb90 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#19 0x00007ffff6b498eb in KisApplication::notify (this=0x7fffffffe0b0, receiver=0x55556516f590, event=0x7fffffffdc70)
    at /home/wolthera/krita/src/libs/ui/KisApplication.cpp:653
#20 0x00007ffff3339d18 in QCoreApplication::notifyInternal2(QObject*, QEvent*) ()
   from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#21 0x00007ffff39003f5 in QGuiApplicationPrivate::processCloseEvent(QWindowSystemInterfacePrivate::CloseEvent*) ()
   from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#22 0x00007ffff3904395 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#23 0x00007ffff38dcb4b in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#24 0x00007fffe354359a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5
#25 0x00007fffea735417 in g_main_context_dispatch () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#26 0x00007fffea735650 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#27 0x00007fffea7356dc in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#28 0x00007ffff3396daf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#29 0x00007ffff333803a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#30 0x00007ffff3341170 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
---Type <return> to continue, or q <return> to quit---
#31 0x0000555555e520ff in main (argc=1, argv=0x7fffffffe218) at /home/wolthera/krita/src/krita/main.cc:535
(gdb)
Comment 1 Gremriel 2019-07-17 17:50:54 UTC
Confirmed on Windows 10; it takes a bit longer to close Krita.

Error occurred on Wednesday, July 17, 2019 at 19:48:42.

krita.exe caused an Access Violation at location 00007FFD06BA18A3 in module libkritaui.dll Reading from location 0000000000000000.

AddrPC           Params
00007FFD06BA18A3 000000001330A8F0 000000001330A8F0 0000000013B6BC70  libkritaui.dll!0x4a18a3 destroy+0x15c3  [C:/Packaging/KritaWS/deps-install/include/QtCore/qmap.h @ 339]
00007FFD06A51E69 00000000005FBD60 0000000070ACF460 0000000002AAF4A0  libkritaui.dll!0x351e69 restore+0x729  [C:/Packaging/KritaWS/deps-install/include/QtCore/qarraydata.h @ 239]
00007FFD06A550D4 00000000005FB7E8 00007FFD27ED911B 00000000005FB758  libkritaui.dll!0x3550d4 __tcf_39+0x34  [C:/Packaging/KritaWS/deps-install/include/QtCore/qarraydata.h @ 239]
00007FFD06A07402 00000000005FC100 000000000000001D 0000000000000000  libkritaui.dll!0x307402 updatePixmap+0x4a2  [C:/Packaging/KritaWS/deps-install/include/QtCore/qlogging.h @ 69]
00007FFD069F690F 0000000000000000 00007FFD27E5215F 00000000005FB958  libkritaui.dll!0x2f690f saveDocument+0x14f  [C:/Packaging/workspace/Krita_Release_Windows64_Build/krita/libs/ui/KisMainWindow.cpp @ 1078]
00007FFD105060A8 00000000005FBD60 000000000000001D 0000000000000000  Qt5Widgets.dll!0x460a8 QWidget::event+0x1a8
00007FFD105F538B 0000526A45EBAEF7 0000000000000112 0000000000000000  Qt5Widgets.dll!0x13538b QMainWindow::event+0x4b
00007FFD3AD9EC9C 00000000005FFB80 0000000000000000 00000000005FFB80  libkritawidgetutils.dll!0x6ec9c event+0x4c  [C:/Packaging/workspace/Krita_Release_Windows64_Build/krita/libs/widgetutils/xmlgui/kmainwindow.cpp @ 765]
00007FFD104C7BDC 000000006EFC9360 FFFFFFFFFFFFFFFF 00000000005FBD60  Qt5Widgets.dll!0x7bdc QApplicationPrivate::notify_helper+0x9c
00007FFD104CEC63 00000000005FC100 00007FFD27E5215F 00000000005FC100  Qt5Widgets.dll!0xec63 QApplication::notify+0x3b3
00007FFD069CCC76 00000000005FFB80 0000000002652900 0000000000000001  libkritaui.dll!0x2ccc76 checkAutosaveFiles+0x596  [C:/Packaging/KritaWS/deps-install/include/QtCore/qstringlist.h @ 99]
00007FFD2802C938 0000000070776190 00007FFD10607783 0000000000000014  Qt5Core.dll!0x1fc938 QCoreApplication::sendSpontaneousEvent+0x1a8
00007FFD10500EC6 0000000070C435B0 00000000005FC210 00007FFD2829C8C8  Qt5Widgets.dll!0x40ec6 QWidgetPrivate::hide_helper+0x526
00007FFD1051A32A 0000000002AAF4A0 00007FFD2802B141 00007FFD280828A0  Qt5Widgets.dll!0x5a32a QDesktopWidget::qt_metacall+0x212a
00007FFD1051D8A4 00000000005FFB80 0000000002652900 0000000000000001  Qt5Widgets.dll!0x5d8a4 QDesktopWidget::qt_metacall+0x56a4
00007FFD104C7BDC 0000000000000000 0000000000000001 0000000000000000  Qt5Widgets.dll!0x7bdc QApplicationPrivate::notify_helper+0x9c
00007FFD104CEC63 0000000000000401 00007FFD27E5215F 00007FFD6CFC66A0  Qt5Widgets.dll!0xec63 QApplication::notify+0x3b3
00007FFD069CCC76 00007FFD283B0D00 0000000000000000 00000000005C00AE  libkritaui.dll!0x2ccc76 checkAutosaveFiles+0x596  [C:/Packaging/KritaWS/deps-install/include/QtCore/qstringlist.h @ 99]
00007FFD2802C938 0000000000000000 0000000000000000 0000000000000000  Qt5Core.dll!0x1fc938 QCoreApplication::sendSpontaneousEvent+0x1a8
00007FFD112A3DD8 00007FFD27EB2FA0 0000000000000024 0000000000000001  Qt5Gui.dll!0x33dd8 QGuiApplicationPrivate::processCloseEvent+0x78
00007FFD112A7DA5 0000000002A8A0C0 0000000002ACEC80 00000000000E08B0  Qt5Gui.dll!0x37da5 QGuiApplicationPrivate::processWindowSystemEvent+0x135
00007FFD11280E6C 0000000000000401 00000000000E08B0 0000000000000000  Qt5Gui.dll!0x10e6c QWindowSystemInterface::sendWindowSystemEvents+0x44c
00007FFD280871BA 0000000000000001 0000000000000000 00000000005FC568  Qt5Core.dll!0x2571ba QEventDispatcherWin32Private::sendTimerEvent+0x60a
00007FFD6F8BCA66 00000000012BB410 00007FFD28086CE0 00000000000E08B0  USER32.dll!0xca66 UserCallWinProcCheckWow+0x266
00007FFD6F8BC582 00000000005FC6F0 0000000000000000 00000000005FC6F0  USER32.dll!0xc582 DispatchMessageWorker+0x1b2
00007FFD2808665B 0000000002ACEC80 0000000000000024 00000000026E5990  Qt5Core.dll!0x25665b QEventDispatcherWin32::processEvents+0x5cb
000000006A8FEC95 0000000000000080 0000000000000014 00000000751E74E0  qwindows.dll!0x7ec95 qt_plugin_instance+0x2c75
00007FFD2802A91F 00007FFD6A43D170 00000000005FFB60 00000000005FFB30  Qt5Core.dll!0x1fa91f QEventLoop::exec+0x13f
00007FFD28033B97 00000000005FFBD0 00000000005FFB80 000000000000000C  Qt5Core.dll!0x203b97 QCoreApplication::exec+0x77
0000000140006E0A 0000000000000001 0000000002652700 0000000140F7B970  krita.exe!0x6e0a main+0x207a  [C:/Packaging/workspace/Krita_Release_Windows64_Build/krita/krita/main.cc @ 535]
00000001400013C7 0000000000000000 0000000000000000 0000000000000000  krita.exe!0x13c7 __tmainCRTStartup+0x247
00000001400014CB 0000000000000000 0000000000000000 0000000000000000  krita.exe!0x14cb WinMainCRTStartup+0x1b
00007FFD6FCB7974 0000000000000000 0000000000000000 0000000000000000  KERNEL32.DLL!0x17974 BaseThreadInitThunk+0x14
00007FFD7225A271 0000000000000000 0000000000000000 0000000000000000  ntdll.dll!0x6a271 RtlUserThreadStart+0x21

0000000140000000-0000000140F8B000 krita.exe
00007FFD721F0000-00007FFD723DD000 ntdll.dll   	6.2.17763.592
00007FFD6FCA0000-00007FFD6FD53000 KERNEL32.DLL	6.2.17763.475
00007FFD6EE30000-00007FFD6F0C3000 KERNELBASE.dll	6.2.17763.615
00007FFD71EE0000-00007FFD71F7E000 msvcrt.dll  	7.0.17763.475
00007FFD6A420000-00007FFD6A460000 libkritaglobal.dll
00007FFD06700000-00007FFD07BB7000 libkritaui.dll
0000000061440000-000000006145A000 libgcc_s_seh-1.dll
00007FFD3AD30000-00007FFD3AE64000 libkritawidgetutils.dll
000000006FC40000-000000006FDA5000 libstdc++-6.dll
00007FFD6F8B0000-00007FFD6FA47000 USER32.dll  	6.2.17763.168
00007FFD28460000-00007FFD28988000 libkritaimage.dll
00007FFD59C20000-00007FFD59C7C000 libKF5ConfigCore.dll
00007FFD59AC0000-00007FFD59B17000 libKF5I18n.dll
00007FFD6EE10000-00007FFD6EE30000 win32u.dll  	6.2.17763.1
00007FFD71790000-00007FFD717B9000 GDI32.dll   	6.2.17763.592
00007FFD6EC70000-00007FFD6EE09000 gdi32full.dll	6.2.17763.615
00007FFD6F380000-00007FFD6F420000 msvcp_win.dll	6.2.17763.348
00007FFD6F0D0000-00007FFD6F1CA000 ucrtbase.dll	6.2.17763.404
00007FFD68780000-00007FFD6878E000 libkritaversion.dll
00007FFD104C0000-00007FFD10A2C000 Qt5Widgets.dll	5.12.4.0
00007FFD27E30000-00007FFD2845B000 Qt5Core.dll 	5.12.4.0
00007FFD11270000-00007FFD1188A000 Qt5Gui.dll  	5.12.4.0
00007FFD6F6F0000-00007FFD6F793000 ADVAPI32.dll	6.2.17763.1
0000000064940000-0000000064955000 libwinpthread-1.dll	1.0.0.0
00007FFD6F530000-00007FFD6F685000 ole32.dll   	6.2.17763.503
00007FFD6FC00000-00007FFD6FC9E000 sechost.dll 	6.2.17763.1
00007FFD71460000-00007FFD7178C000 combase.dll 	6.2.17763.615
00007FFD5F120000-00007FFD5F15B000 Qt5Xml.dll  	5.12.4.0
00007FFD68720000-00007FFD6872E000 libkritacolor.dll
00007FFD71DB0000-00007FFD71ED2000 RPCRT4.dll  	6.2.17763.379
00007FFD5F840000-00007FFD5F85F000 libkritacommand.dll
00007FFD6F1D0000-00007FFD6F24E000 bcryptPrimitives.dll	6.2.17763.615
00007FFD6FD60000-00007FFD71250000 SHELL32.dll 	6.2.17763.615
00007FFD5AB50000-00007FFD5AB71000 libkritaimpex.dll
00007FFD3A7F0000-00007FFD3AA04000 libkritaflake.dll
00007FFD6F300000-00007FFD6F34A000 cfgmgr32.dll	6.2.17763.1
00007FFD43040000-00007FFD430AA000 libkritalibbrush.dll
00007FFD6F7A0000-00007FFD6F848000 shcore.dll  	6.2.17763.1
00007FFD55720000-00007FFD55758000 libkritametadata.dll
00007FFD6E4C0000-00007FFD6EC0A000 windows.storage.dll	6.2.17763.615
00007FFD4CBC0000-00007FFD4CBE3000 libkritaplugin.dll
00007FFD3AF20000-00007FFD3AFB3000 libkritaodf.dll
00007FFD6E210000-00007FFD6E234000 profapi.dll 	6.2.17763.1
00007FFD6E240000-00007FFD6E29D000 powrprof.dll	6.2.17763.1
00007FFD42640000-00007FFD42669000 libKF5ConfigGui.dll
00007FFD3ACA0000-00007FFD3AD2A000 libKF5CoreAddons.dll
00007FFD3A2D0000-00007FFD3A54D000 libkritapigment.dll
00007FFD6F690000-00007FFD6F6E2000 shlwapi.dll 	6.2.17763.1
00007FFD3AC40000-00007FFD3AC9E000 libkritapsd.dll
00007FFD6E1F0000-00007FFD6E201000 kernel.appcore.dll	6.2.17763.1
00007FFD3F130000-00007FFD3F152000 libkritastore.dll
00007FFD3D100000-00007FFD3D129000 libKF5GuiAddons.dll
00007FFD6E4A0000-00007FFD6E4B7000 cryptsp.dll 	6.2.17763.1
00007FFD3A6C0000-00007FFD3A7E4000 libkritawidgets.dll
00007FFD3C4A0000-00007FFD3C4DD000 libKF5ItemViews.dll
00007FFD6FAB0000-00007FFD6FB1D000 WS2_32.dll  	6.2.17763.1
00007FFD3A1A0000-00007FFD3A2C9000 libKF5WidgetsAddons.dll
00007FFD3C450000-00007FFD3C47D000 libKF5WindowSystem.dll
00007FFD3AC00000-00007FFD3AC3C000 libKF5Completion.dll
00007FFD2EF10000-00007FFD2F187000 libexiv2.dll
00007FFD3ABA0000-00007FFD3ABF8000 Qt5PrintSupport.dll	5.12.4.0
00007FFD6F420000-00007FFD6F428000 PSAPI.DLL   	6.2.17763.1
00007FFD72010000-00007FFD72137000 comdlg32.dll	6.2.17763.1
00007FFD3A160000-00007FFD3A19E000 libpng16.dll
00007FFD39260000-00007FFD39353000 Qt5Multimedia.dll	5.12.4.0
00007FFD3A110000-00007FFD3A15E000 libHalf.dll
00007FFD2B050000-00007FFD2B1DD000 Qt5Network.dll	5.12.4.0
00007FFD6E2C0000-00007FFD6E49B000 CRYPT32.dll 	6.2.17763.1
00007FFD2F6D0000-00007FFD2F7E1000 libfftw3.dll
00007FFD5F1A0000-00007FFD5F1BE000 libintl.DLL 	0.18.0.0
00007FFD6E2A0000-00007FFD6E2B2000 MSASN1.dll  	6.2.17763.1
00007FFD6CB50000-00007FFD6CB7E000 dwmapi.dll  	6.2.17763.1
00007FFD6C820000-00007FFD6C8BC000 UxTheme.dll 	6.2.17763.1
00007FFD66DF0000-00007FFD66E0B000 MPR.dll     	6.2.17763.404
00007FFD5E080000-00007FFD5E097000 NETAPI32.dll	6.2.17763.1
00007FFD5F830000-00007FFD5F840000 Qt5Concurrent.dll	5.12.4.0
00007FFD39200000-00007FFD39253000 Qt5Svg.dll  	5.12.4.0
00007FFD6E120000-00007FFD6E148000 USERENV.dll 	6.2.17763.557
00007FFD3AB70000-00007FFD3AB9D000 libKF5Archive.dll
00007FFD39460000-00007FFD39490000 libquazip5.dll
00007FFD6AB70000-00007FFD6AB7A000 VERSION.dll 	6.2.17763.1
00007FFD66740000-00007FFD66764000 WINMM.dll   	6.2.17763.1
00007FFD391C0000-00007FFD391F5000 libexpat.dll
00007FFD5C4F0000-00007FFD5C502000 iconv.dll
00007FFD5B7A0000-00007FFD5B7C0000 libzlib.dll 	1.2.11.0
00007FFD680A0000-00007FFD68149000 COMCTL32.dll	5.82.17763.1
00007FFD61CD0000-00007FFD61D59000 WINSPOOL.DRV	6.2.17763.592
00007FFD6F350000-00007FFD6F376000 bcrypt.dll  	6.2.17763.1
00007FFD6D800000-00007FFD6D8C6000 DNSAPI.dll  	6.2.17763.615
00007FFD6D7C0000-00007FFD6D7FD000 IPHLPAPI.DLL	6.2.17763.615
00007FFD6FB20000-00007FFD6FB28000 NSI.dll     	6.2.17763.1
00007FFD27B80000-00007FFD27E25000 libcrypto-1_1-x64.dll	1.1.1.2
00007FFD38CA0000-00007FFD38D26000 libssl-1_1-x64.dll	1.1.1.2
00007FFD66710000-00007FFD6673D000 winmmbase.dll	6.2.17763.1
00007FFD69D40000-00007FFD69EE8000 PROPSYS.dll 	7.0.17763.348
00007FFD6F460000-00007FFD6F524000 OLEAUT32.dll	6.2.17763.437
00007FFD6D8D0000-00007FFD6D8DE000 NETUTILS.DLL	6.2.17763.1
00007FFD6DC30000-00007FFD6DC3C000 CRYPTBASE.DLL	6.2.17763.1
00007FFD696D0000-00007FFD6970F000 LOGONCLI.DLL	6.2.17763.1
00007FFD5F920000-00007FFD5F946000 SRVCLI.DLL  	6.2.17763.1
00007FFD67EE0000-00007FFD67EF8000 SAMCLI.DLL  	6.2.17763.1
00007FFD6F430000-00007FFD6F45E000 IMM32.DLL   	6.2.17763.1
000000006A880000-000000006AA36000 qwindows.dll	5.12.4.0
00007FFD6AC00000-00007FFD6AC13000 WTSAPI32.dll	6.2.17763.1
00007FFD5D940000-00007FFD5DADE000 d3d9.dll    	6.2.17763.1
00007FFD6EC10000-00007FFD6EC69000 WINTRUST.DLL	6.2.17763.348
00007FFD6FB30000-00007FFD6FB4D000 imagehlp.dll	6.2.17763.1
00007FFD6D620000-00007FFD6D653000 rsaenh.dll  	6.2.17763.1
00007FFD29D30000-00007FFD29E57000 opengl32.dll	6.2.17763.1
00007FFD39190000-00007FFD391BC000 GLU32.dll   	6.2.17763.1
00007FFD71C40000-00007FFD71DAB000 MSCTF.dll   	6.2.17763.529
000000005B6E0000-000000005DE26000 nvoglv64.dll	26.21.14.3086
00007FFD717C0000-00007FFD71C36000 SETUPAPI.dll	6.2.17763.404
00007FFD6E020000-00007FFD6E049000 DEVOBJ.dll  	6.2.17763.1
00007FFD6D2A0000-00007FFD6D2D1000 ntmarta.dll 	6.2.17763.1
00007FFD39600000-00007FFD398B2000 nvspcap64.dll	3.19.0.94
00007FFD6D340000-00007FFD6D398000 WINSTA.dll  	6.2.17763.1
00007FFD6FB50000-00007FFD6FBF2000 clbcatq.dll 	2001.12.10941.16384
00007FFD5D000000-00007FFD5D010000 libEGL.DLL  	5.12.4.0
00007FFD11930000-00007FFD11D09000 libGLESv2.dll	5.12.4.0
00007FFD6CF60000-00007FFD6D022000 dxgi.dll    	6.2.17763.1
00007FFD6BE70000-00007FFD6C033000 dcomp.dll   	6.2.17763.592
00007FFD1BF50000-00007FFD1C184000 wintab32.dll	1.0.5.8
00007FFD6CED0000-00007FFD6CEDE000 HID.DLL     	6.2.17763.1
00007FFD398C0000-00007FFD39B1D000 Wacom_Tablet.dll	6.3.29.3
00007FFD6B5D0000-00007FFD6B84E000 d3d11.dll   	6.2.17763.1
00007FFD656C0000-00007FFD657AE000 nvldumdx.dll	26.21.14.3086
00007FFD33420000-00007FFD359D3000 nvwgf2umx.dll	26.21.14.3086
000000006CC40000-000000006CC74000 qwindowsvistastyle.dll	5.12.4.0
00007FFD5B2A0000-00007FFD5B2B2000 kimg_exr.dll
00007FFD5AB30000-00007FFD5AB43000 libIex.dll
00007FFD10CC0000-00007FFD10F5B000 libIlmImf.dll
00007FFD59C10000-00007FFD59C1F000 libIlmThread.dll
00007FFD57420000-00007FFD5743A000 libImath.dll
00007FFD55700000-00007FFD55711000 kimg_kra.dll
00007FFD3F110000-00007FFD3F121000 kimg_ora.dll
00007FFD3C430000-00007FFD3C443000 kimg_pcx.dll
00007FFD3A0F0000-00007FFD3A103000 kimg_pic.dll
00007FFD39FA0000-00007FFD39FB1000 kimg_psd.dll
00007FFD39170000-00007FFD39182000 kimg_ras.dll
00007FFD39150000-00007FFD39164000 kimg_rgb.dll
00007FFD38EE0000-00007FFD38EF1000 kimg_tga.dll
00007FFD38EC0000-00007FFD38EDF000 kimg_xcf.dll
0000000061F00000-0000000061F13000 qgif.dll    	5.12.4.0
000000006C600000-000000006C615000 qicns.dll   	5.12.4.0
000000006E840000-000000006E853000 qico.dll    	5.12.4.0
00000000626C0000-0000000062729000 qjpeg.dll   	5.12.4.0
0000000061B00000-0000000061B11000 qsvg.dll    	5.12.4.0
000000006CF00000-000000006CF71000 qtiff.dll   	5.12.4.0
0000000066AC0000-0000000066AD1000 qwbmp.dll   	5.12.4.0
00000000675C0000-0000000067652000 qwebp.dll   	5.12.4.0
00007FFD55200000-00007FFD55256000 dataexchange.dll	6.2.17763.1
00007FFD6C8F0000-00007FFD6CAFD000 twinapi.appcore.dll	6.2.17763.292
00007FFD6CB00000-00007FFD6CB28000 RMCLIENT.dll	6.2.17763.194
00007FFD38E00000-00007FFD38E11000 exchndl.dll 	0.8.2.0
00007FFD2B7D0000-00007FFD2B832000 mgwhelp.dll 	0.8.2.0
00007FFD279F0000-00007FFD27B7F000 dbghelp.dll 	6.3.9600.17298
00007FFD5AEE0000-00007FFD5B1DC000 dwrite.dll  	6.2.17763.615
00007FFD68550000-00007FFD685E5000 TextInputFramework.dll	6.2.17763.1
00007FFD65D00000-00007FFD66022000 CoreUIComponents.dll	6.2.17763.1
00007FFD6C3B0000-00007FFD6C492000 CoreMessaging.dll	6.2.17763.194
00007FFD69AE0000-00007FFD69C33000 wintypes.dll	6.2.17763.134
00007FFD61C60000-00007FFD61CCC000 Oleacc.dll  	7.2.17763.1
00007FFD4FED0000-00007FFD5012B000 UIAutomationCore.dll	7.2.17763.1
00007FFD5EB70000-00007FFD5EBCC000 Bcp47Langs.dll	6.2.17763.1
00007FFD6E050000-00007FFD6E0EB000 sxs.dll     	6.2.17763.1
00007FFD38DE0000-00007FFD38DF5000 krita_shape_image.dll
00007FFD263D0000-00007FFD264B0000 krita_shape_text.dll
00007FFD2AFD0000-00007FFD2B044000 libkritatextlayout.dll
00007FFD11E00000-00007FFD11F8D000 libkritatext.dll
00007FFD32D80000-00007FFD32DBF000 krita_shape_artistictext.dll
00007FFD2B760000-00007FFD2B7C2000 krita_shape_paths.dll
00007FFD38C80000-00007FFD38C98000 kritaasccdl.dll
00007FFD2B6B0000-00007FFD2B6E2000 kritablurfilter.dll
00007FFD29F90000-00007FFD29FD9000 kritacolorsfilters.dll
00007FFD32D60000-00007FFD32D79000 kritaconvertheighttonormalmap.dll
00007FFD2B690000-00007FFD2B6A5000 kritaconvolutionfilters.dll
00007FFD29F70000-00007FFD29F84000 kritadodgeburn.dll
00007FFD29D10000-00007FFD29D29000 kritaedgedetection.dll
00007FFD29CF0000-00007FFD29D03000 kritaembossfilter.dll
00007FFD29CD0000-00007FFD29CE4000 kritaexample.dll
00007FFD29CB0000-00007FFD29CCA000 kritaextensioncolorsfilters.dll
00007FFD29C90000-00007FFD29CA9000 kritafastcolortransferfilter.dll
00007FFD29C70000-00007FFD29C8F000 kritagradientmap.dll
00007FFD298E0000-00007FFD29905000 kritaguassianhighpassfilter.dll
00007FFD298C0000-00007FFD298DC000 kritahalftone.dll
00007FFD29890000-00007FFD298BB000 kritaimageenhancement.dll
00007FFD29870000-00007FFD2988D000 kritaindexcolors.dll
00007FFD29850000-00007FFD29869000 kritalevelfilter.dll
00007FFD28E20000-00007FFD28E38000 kritanoisefilter.dll
00007FFD28E00000-00007FFD28E15000 kritanormalize.dll
00007FFD28DE0000-00007FFD28DF7000 kritaoilpaintfilter.dll
00007FFD28DB0000-00007FFD28DD6000 kritapalettize.dll
00007FFD28C80000-00007FFD28CA6000 kritaphongbumpmap.dll
00007FFD28D90000-00007FFD28DA7000 kritapixelizefilter.dll
00007FFD28C60000-00007FFD28C77000 kritaposterize.dll
00007FFD28C40000-00007FFD28C54000 kritaraindropsfilter.dll
00007FFD263B0000-00007FFD263C9000 kritarandompickfilter.dll
00007FFD26390000-00007FFD263A7000 kritaroundcornersfilter.dll
00007FFD26370000-00007FFD26385000 kritasmalltilesfilter.dll
00007FFD26350000-00007FFD2636A000 kritathreshold.dll
00007FFD26320000-00007FFD26343000 kritaunsharpfilter.dll
00007FFD26300000-00007FFD2631B000 kritawavefilter.dll
00007FFD262E0000-00007FFD262F8000 kritacolorgenerator.dll
00007FFD262C0000-00007FFD262D8000 kritapatterngenerator.dll
00007FFD26270000-00007FFD2628E000 kritasimplexnoisegenerator.dll
00007FFD26150000-00007FFD26187000 kritacolorsmudgepaintop.dll
00007FFD103A0000-00007FFD104B8000 libkritalibpaintop.dll
00007FFD05B80000-00007FFD066F7000 kritalcmsengine.dll
00007FFD25B70000-00007FFD25BC3000 liblcms2.dll
00007FFD25B30000-00007FFD25B69000 krita_colorspaces_extensions.dll
00007FFD25B00000-00007FFD25B2B000 kritacurvepaintop.dll
00007FFD1E0C0000-00007FFD1E11A000 kritadefaultpaintops.dll
00007FFD1D7C0000-00007FFD1D7F5000 kritadeformpaintop.dll
00007FFD1E090000-00007FFD1E0BD000 kritaexperimentpaintop.dll
00007FFD1D740000-00007FFD1D768000 kritafilterop.dll
00007FFD1D710000-00007FFD1D733000 kritagridpaintop.dll
00007FFD11DC0000-00007FFD11DF1000 kritahairypaintop.dll
00007FFD11D80000-00007FFD11DB7000 kritahatchingpaintop.dll
00007FFD11240000-00007FFD11268000 kritaparticlepaintop.dll
00007FFD10C90000-00007FFD10CB6000 kritaroundmarkerpaintop.dll
00007FFD10C60000-00007FFD10C8C000 kritasketchpaintop.dll
00007FFD10C20000-00007FFD10C5D000 kritaspraypaintop.dll
00007FFD10BF0000-00007FFD10C1B000 kritatangentnormalpaintop.dll
00007FFD10BB0000-00007FFD10BEF000 krita_filtereffects.dll
00007FFD6E0F0000-00007FFD6E11F000 SspiCli.dll 	6.2.17763.1
00007FFD10A70000-00007FFD10AB3000 kritaassistanttool.dll
00007FFD10340000-00007FFD10398000 krita_flaketools.dll
00007FFD102D0000-00007FFD1033E000 krita_karbontools.dll
00007FFD25AE0000-00007FFD25AF2000 krita_tool_basicflakes.dll
00007FFD1D7A0000-00007FFD1D7BB000 libkritabasicflakes.dll
00007FFD10290000-00007FFD102CD000 krita_tool_svgtext.dll
00007FFD10210000-00007FFD1028F000 kritadefaulttools.dll
00007FFD59C00000-00007FFD59C10000 libboost_system-mgw73-mt-1_61.dll
00007FFD10180000-00007FFD10202000 kritaselectiontools.dll
00007FFD10150000-00007FFD1017E000 kritatoolSmartPatch.dll
00007FFD10120000-00007FFD1014C000 kritatoolcrop.dll
00007FFD1D6F0000-00007FFD1D707000 kritatooldyna.dll
00007FFD100F0000-00007FFD10113000 kritatoollazybrush.dll
00007FFD1C920000-00007FFD1C936000 kritatoolpolygon.dll
00007FFD1BF30000-00007FFD1BF46000 kritatoolpolyline.dll
00007FFD10000000-00007FFD100EF000 kritatooltransform.dll
00007FFD0FF50000-00007FFD0FFF4000 kritaanimationdocker.dll
00007FFD0FF30000-00007FFD0FF47000 kritasvgcollectiondocker.dll
00007FFD0FF10000-00007FFD0FF29000 kritaarrangedocker.dll
00007FFD0FEE0000-00007FFD0FF10000 kritaartisticcolorselector.dll
00007FFD0FEB0000-00007FFD0FED2000 kritachanneldocker.dll
00007FFD0FE40000-00007FFD0FEA2000 kritacolorselectorng.dll
00000000136B0000-00000000136C4000 qsvgicon.dll	5.12.4.0
00007FFD0FE20000-00007FFD0FE3F000 kritacompositiondocker.dll
00007FFD0FE00000-00007FFD0FE15000 kritadigitalmixer.dll
00007FFD0FDD0000-00007FFD0FDFC000 kritagamutmask.dll
00007FFD0FD90000-00007FFD0FDAD000 kritagriddocker.dll
00007FFD0FD70000-00007FFD0FD88000 kritahistogramdocker.dll
00007FFD0FD50000-00007FFD0FD70000 kritahistorydocker.dll
00007FFD0FD00000-00007FFD0FD42000 kritalayerdocker.dll
00007FFD0FCE0000-00007FFD0FCFA000 kritalogdocker.dll
00007FFD0FCB0000-00007FFD0FCD9000 kritalutdocker.dll
00007FFD0E7B0000-00007FFD0E902000 libOpenColorIO.dll
00007FFD0FC90000-00007FFD0FCAC000 kritaoverviewdocker.dll
00007FFD0FC70000-00007FFD0FC8E000 kritapalettedocker.dll
00007FFD0FC50000-00007FFD0FC63000 kritapatterndocker.dll
00007FFD0FC30000-00007FFD0FC44000 kritapresetdocker.dll
00007FFD0FBE0000-00007FFD0FBF5000 kritapresethistory.dll
00007FFD0FBB0000-00007FFD0FBD1000 kritasmallcolorselector.dll
00007FFD0FB90000-00007FFD0FBAD000 kritasnapshotdocker.dll
00007FFD0FA70000-00007FFD0FA8C000 kritaspecificcolorselector.dll
00007FFD0FA40000-00007FFD0FA68000 kritatasksetdocker.dll
00007FFD0FA20000-00007FFD0FA3C000 kritatouchdocker.dll
00007FFD0FA00000-00007FFD0FA19000 Qt5QuickWidgets.dll	5.12.4.0
00007FFD05A60000-00007FFD05B78000 libkritaqml.dll
00007FFD05660000-00007FFD05A53000 Qt5Qml.dll  	5.12.4.0
00007FFD05270000-00007FFD0565D000 Qt5Quick.dll	5.12.4.0
0000000067580000-00000000675A2000 qgenericbearer.dll	5.12.4.0
00007FFD69070000-00007FFD69086000 dhcpcsvc6.DLL	6.2.17763.1
00007FFD69AC0000-00007FFD69ADC000 dhcpcsvc.DLL	6.2.17763.1
00007FFD50E40000-00007FFD50E85000 edputil.dll 	6.2.17763.1
00007FFD69A80000-00007FFD69A96000 napinsp.dll 	6.2.17763.1
00007FFD686C0000-00007FFD686DA000 pnrpnsp.dll 	6.2.17763.1
00007FFD6DA60000-00007FFD6DAC7000 mswsock.dll 	6.2.17763.292
00007FFD6AE90000-00007FFD6AE9E000 winrnr.dll  	6.2.17763.1
00007FFD6A2D0000-00007FFD6A2EB000 NLAapi.dll  	6.2.17763.134
00007FFD4CD60000-00007FFD4CD75000 wshbth.dll  	6.2.17763.1
00007FFD0F9C0000-00007FFD0FA00000 kritaanimationrenderer.dll
00007FFD0F9A0000-00007FFD0F9B6000 kritabuginfo.dll
00007FFD0F980000-00007FFD0F99D000 kritaclonesarray.dll
00007FFD0E780000-00007FFD0E7A1000 kritacolorrange.dll
00007FFD0E760000-00007FFD0E77A000 kritacolorspaceconversion.dll
00007FFD08A30000-00007FFD08A61000 kritaimagesize.dll
00007FFD0E740000-00007FFD0E75D000 kritaimagesplit.dll
00007FFD08A10000-00007FFD08A25000 kritalayergroupswitcher.dll
00007FFD089F0000-00007FFD08A0F000 kritalayersplit.dll
00007FFD089C0000-00007FFD089EB000 kritametadataeditor.dll
00007FFD05250000-00007FFD0526C000 kritamodifyselection.dll
00007FFD05220000-00007FFD05242000 kritaoffsetimage.dll
00007FFD051D0000-00007FFD05215000 kritaqmic.dll
00007FFD05190000-00007FFD051C7000 kritaresourcemanager.dll
00007FFD05170000-00007FFD0518C000 kritarotateimage.dll
00007FFD05140000-00007FFD05162000 kritaseparatechannels.dll
00007FFD05120000-00007FFD05135000 kritashearimage.dll
00007FFD05100000-00007FFD0511B000 kritawaveletdecompose.dll
00007FFD050D0000-00007FFD050FD000 kritapykrita.dll
00007FFD05030000-00007FFD050CB000 libkritalibkis.dll
0000000072360000-00000000726F4000 python36.dll	3.6.2150.1013
00007FFD05010000-00007FFD05027000 VCRUNTIME140.dll	14.0.23026.0
00007FFD04F90000-00007FFD05002000 krita.pyd
0000000026820000-0000000026844000 sip.pyd
0000000072700000-0000000072A27000 QtCore.pyd
00007FFD57350000-00007FFD5735F000 python3.dll 	3.6.2150.1013
0000000072A30000-0000000072D5F000 QtGui.pyd
0000000072D60000-00000000733FF000 QtWidgets.pyd
00000000396B0000-00000000396FE000 QtXml.pyd
0000000019F90000-0000000019FAA000 _bz2.pyd    	3.6.2150.1013
00007FFD04F40000-00007FFD04F82000 _lzma.pyd   	3.6.2150.1013
00007FFD04DD0000-00007FFD04F39000 _hashlib.pyd	3.6.2150.1013
000000002A420000-000000002A42D000 Qt.pyd
0000000069070000-000000006915D000 QtNetwork.pyd
0000000055750000-000000005580D000 QtMultimedia.pyd
000000005B230000-000000005B303000 QtQml.pyd
0000000056D50000-0000000056DAB000 QtPrintSupport.pyd
000000006FA30000-000000006FBB8000 QtQuick.pyd
000000002C5D0000-000000002C5FA000 QtSvg.pyd
000000002C1B0000-000000002C1C9000 QtQuickWidgets.pyd
0000000037320000-000000003734D000 _elementtree.pyd	3.6.2150.1013
00007FFD04D90000-00007FFD04DC3000 pyexpat.pyd 	3.6.2150.1013
0000000034C20000-0000000034C35000 _socket.pyd 	3.6.2150.1013
0000000035E80000-0000000035E8A000 select.pyd  	3.6.2150.1013
0000000038F70000-0000000038F7E000 _overlapped.pyd	3.6.2150.1013
0000000038F90000-0000000038F9B000 _multiprocessing.pyd	3.6.2150.1013
00007FFD04D70000-00007FFD04D81000 _asyncio.pyd	3.6.2150.1013
00007FFD04B70000-00007FFD04D6D000 _ssl.pyd    	3.6.2150.1013
000000003F8C0000-000000003F8CF000 qtquick2plugin.dll	5.12.4.0
00007FFD04AA0000-00007FFD04B61000 kritasketchplugin.dll
00007FFD64AA0000-00007FFD64AAA000 rasadhlp.dll	6.2.17763.1
00007FFD660A0000-00007FFD66119000 fwpuclnt.dll	6.2.17763.1
00007FFD04830000-00007FFD04A9F000 d3dcompiler_43.dll	9.29.952.3111
00007FFD3DEB0000-00007FFD3DF24000 dopushlp.dll	12.15.0.0
00007FFD04810000-00007FFD0482C000 kritakraimport.dll
00007FFD047A0000-00007FFD04806000 libkritalibkra.dll
00007FFD58F90000-00007FFD59209000 comctl32.dll	6.10.17763.592
00007FFD65AA0000-00007FFD65C58000 WindowsCodecs.dll	6.2.17763.55
00007FFD53BC0000-00007FFD53C21000 thumbcache.dll	6.2.17763.404
00007FFD51F50000-00007FFD52431000 WININET.dll 	11.0.17763.529
00007FFD61D60000-00007FFD62008000 iertutil.dll	11.0.17763.592
00007FFD517D0000-00007FFD517E6000 ondemandconnroutehelper.dll	6.2.17763.1
00007FFD662D0000-00007FFD663C2000 winhttp.dll 	6.2.17763.592
00007FFD6A500000-00007FFD6A50B000 WINNSI.DLL  	6.2.17763.1
00007FFD67160000-00007FFD67337000 urlmon.dll  	11.0.17763.592
00007FFD6D550000-00007FFD6D5D5000 schannel.DLL	6.2.17763.557
00007FFD53020000-00007FFD53035000 mskeyprotect.dll	6.2.17763.1
00007FFD6DD30000-00007FFD6DD56000 ncrypt.dll  	6.2.17763.1
00007FFD6DCF0000-00007FFD6DD2C000 NTASN1.dll  	6.2.17763.1
00007FFD6D660000-00007FFD6D66A000 DPAPI.DLL   	6.2.17763.1
00007FFD602E0000-00007FFD6030F000 cryptnet.dll	6.2.17763.1
00007FFD53070000-00007FFD53094000 ncryptsslp.dll	6.2.17763.1

Windows 6.2.9200
DrMingw 0.8.2
Comment 2 Gremriel 2019-07-17 17:51:35 UTC
Confirmed on Windows 10; it takes a bit longer to close Krita.

Error occurred on Wednesday, July 17, 2019 at 19:48:42.

krita.exe caused an Access Violation at location 00007FFD06BA18A3 in module libkritaui.dll Reading from location 0000000000000000.

AddrPC           Params
00007FFD06BA18A3 000000001330A8F0 000000001330A8F0 0000000013B6BC70  libkritaui.dll!0x4a18a3 destroy+0x15c3  [C:/Packaging/KritaWS/deps-install/include/QtCore/qmap.h @ 339]
00007FFD06A51E69 00000000005FBD60 0000000070ACF460 0000000002AAF4A0  libkritaui.dll!0x351e69 restore+0x729  [C:/Packaging/KritaWS/deps-install/include/QtCore/qarraydata.h @ 239]
00007FFD06A550D4 00000000005FB7E8 00007FFD27ED911B 00000000005FB758  libkritaui.dll!0x3550d4 __tcf_39+0x34  [C:/Packaging/KritaWS/deps-install/include/QtCore/qarraydata.h @ 239]
00007FFD06A07402 00000000005FC100 000000000000001D 0000000000000000  libkritaui.dll!0x307402 updatePixmap+0x4a2  [C:/Packaging/KritaWS/deps-install/include/QtCore/qlogging.h @ 69]
00007FFD069F690F 0000000000000000 00007FFD27E5215F 00000000005FB958  libkritaui.dll!0x2f690f saveDocument+0x14f  [C:/Packaging/workspace/Krita_Release_Windows64_Build/krita/libs/ui/KisMainWindow.cpp @ 1078]
00007FFD105060A8 00000000005FBD60 000000000000001D 0000000000000000  Qt5Widgets.dll!0x460a8 QWidget::event+0x1a8
00007FFD105F538B 0000526A45EBAEF7 0000000000000112 0000000000000000  Qt5Widgets.dll!0x13538b QMainWindow::event+0x4b
00007FFD3AD9EC9C 00000000005FFB80 0000000000000000 00000000005FFB80  libkritawidgetutils.dll!0x6ec9c event+0x4c  [C:/Packaging/workspace/Krita_Release_Windows64_Build/krita/libs/widgetutils/xmlgui/kmainwindow.cpp @ 765]
00007FFD104C7BDC 000000006EFC9360 FFFFFFFFFFFFFFFF 00000000005FBD60  Qt5Widgets.dll!0x7bdc QApplicationPrivate::notify_helper+0x9c
00007FFD104CEC63 00000000005FC100 00007FFD27E5215F 00000000005FC100  Qt5Widgets.dll!0xec63 QApplication::notify+0x3b3
00007FFD069CCC76 00000000005FFB80 0000000002652900 0000000000000001  libkritaui.dll!0x2ccc76 checkAutosaveFiles+0x596  [C:/Packaging/KritaWS/deps-install/include/QtCore/qstringlist.h @ 99]
00007FFD2802C938 0000000070776190 00007FFD10607783 0000000000000014  Qt5Core.dll!0x1fc938 QCoreApplication::sendSpontaneousEvent+0x1a8
00007FFD10500EC6 0000000070C435B0 00000000005FC210 00007FFD2829C8C8  Qt5Widgets.dll!0x40ec6 QWidgetPrivate::hide_helper+0x526
00007FFD1051A32A 0000000002AAF4A0 00007FFD2802B141 00007FFD280828A0  Qt5Widgets.dll!0x5a32a QDesktopWidget::qt_metacall+0x212a
00007FFD1051D8A4 00000000005FFB80 0000000002652900 0000000000000001  Qt5Widgets.dll!0x5d8a4 QDesktopWidget::qt_metacall+0x56a4
00007FFD104C7BDC 0000000000000000 0000000000000001 0000000000000000  Qt5Widgets.dll!0x7bdc QApplicationPrivate::notify_helper+0x9c
00007FFD104CEC63 0000000000000401 00007FFD27E5215F 00007FFD6CFC66A0  Qt5Widgets.dll!0xec63 QApplication::notify+0x3b3
00007FFD069CCC76 00007FFD283B0D00 0000000000000000 00000000005C00AE  libkritaui.dll!0x2ccc76 checkAutosaveFiles+0x596  [C:/Packaging/KritaWS/deps-install/include/QtCore/qstringlist.h @ 99]
00007FFD2802C938 0000000000000000 0000000000000000 0000000000000000  Qt5Core.dll!0x1fc938 QCoreApplication::sendSpontaneousEvent+0x1a8
00007FFD112A3DD8 00007FFD27EB2FA0 0000000000000024 0000000000000001  Qt5Gui.dll!0x33dd8 QGuiApplicationPrivate::processCloseEvent+0x78
00007FFD112A7DA5 0000000002A8A0C0 0000000002ACEC80 00000000000E08B0  Qt5Gui.dll!0x37da5 QGuiApplicationPrivate::processWindowSystemEvent+0x135
00007FFD11280E6C 0000000000000401 00000000000E08B0 0000000000000000  Qt5Gui.dll!0x10e6c QWindowSystemInterface::sendWindowSystemEvents+0x44c
00007FFD280871BA 0000000000000001 0000000000000000 00000000005FC568  Qt5Core.dll!0x2571ba QEventDispatcherWin32Private::sendTimerEvent+0x60a
00007FFD6F8BCA66 00000000012BB410 00007FFD28086CE0 00000000000E08B0  USER32.dll!0xca66 UserCallWinProcCheckWow+0x266
00007FFD6F8BC582 00000000005FC6F0 0000000000000000 00000000005FC6F0  USER32.dll!0xc582 DispatchMessageWorker+0x1b2
00007FFD2808665B 0000000002ACEC80 0000000000000024 00000000026E5990  Qt5Core.dll!0x25665b QEventDispatcherWin32::processEvents+0x5cb
000000006A8FEC95 0000000000000080 0000000000000014 00000000751E74E0  qwindows.dll!0x7ec95 qt_plugin_instance+0x2c75
00007FFD2802A91F 00007FFD6A43D170 00000000005FFB60 00000000005FFB30  Qt5Core.dll!0x1fa91f QEventLoop::exec+0x13f
00007FFD28033B97 00000000005FFBD0 00000000005FFB80 000000000000000C  Qt5Core.dll!0x203b97 QCoreApplication::exec+0x77
0000000140006E0A 0000000000000001 0000000002652700 0000000140F7B970  krita.exe!0x6e0a main+0x207a  [C:/Packaging/workspace/Krita_Release_Windows64_Build/krita/krita/main.cc @ 535]
00000001400013C7 0000000000000000 0000000000000000 0000000000000000  krita.exe!0x13c7 __tmainCRTStartup+0x247
00000001400014CB 0000000000000000 0000000000000000 0000000000000000  krita.exe!0x14cb WinMainCRTStartup+0x1b
00007FFD6FCB7974 0000000000000000 0000000000000000 0000000000000000  KERNEL32.DLL!0x17974 BaseThreadInitThunk+0x14
00007FFD7225A271 0000000000000000 0000000000000000 0000000000000000  ntdll.dll!0x6a271 RtlUserThreadStart+0x21

0000000140000000-0000000140F8B000 krita.exe
00007FFD721F0000-00007FFD723DD000 ntdll.dll   	6.2.17763.592
00007FFD6FCA0000-00007FFD6FD53000 KERNEL32.DLL	6.2.17763.475
00007FFD6EE30000-00007FFD6F0C3000 KERNELBASE.dll	6.2.17763.615
00007FFD71EE0000-00007FFD71F7E000 msvcrt.dll  	7.0.17763.475
00007FFD6A420000-00007FFD6A460000 libkritaglobal.dll
00007FFD06700000-00007FFD07BB7000 libkritaui.dll
0000000061440000-000000006145A000 libgcc_s_seh-1.dll
00007FFD3AD30000-00007FFD3AE64000 libkritawidgetutils.dll
000000006FC40000-000000006FDA5000 libstdc++-6.dll
00007FFD6F8B0000-00007FFD6FA47000 USER32.dll  	6.2.17763.168
00007FFD28460000-00007FFD28988000 libkritaimage.dll
00007FFD59C20000-00007FFD59C7C000 libKF5ConfigCore.dll
00007FFD59AC0000-00007FFD59B17000 libKF5I18n.dll
00007FFD6EE10000-00007FFD6EE30000 win32u.dll  	6.2.17763.1
00007FFD71790000-00007FFD717B9000 GDI32.dll   	6.2.17763.592
00007FFD6EC70000-00007FFD6EE09000 gdi32full.dll	6.2.17763.615
00007FFD6F380000-00007FFD6F420000 msvcp_win.dll	6.2.17763.348
00007FFD6F0D0000-00007FFD6F1CA000 ucrtbase.dll	6.2.17763.404
00007FFD68780000-00007FFD6878E000 libkritaversion.dll
00007FFD104C0000-00007FFD10A2C000 Qt5Widgets.dll	5.12.4.0
00007FFD27E30000-00007FFD2845B000 Qt5Core.dll 	5.12.4.0
00007FFD11270000-00007FFD1188A000 Qt5Gui.dll  	5.12.4.0
00007FFD6F6F0000-00007FFD6F793000 ADVAPI32.dll	6.2.17763.1
0000000064940000-0000000064955000 libwinpthread-1.dll	1.0.0.0
00007FFD6F530000-00007FFD6F685000 ole32.dll   	6.2.17763.503
00007FFD6FC00000-00007FFD6FC9E000 sechost.dll 	6.2.17763.1
00007FFD71460000-00007FFD7178C000 combase.dll 	6.2.17763.615
00007FFD5F120000-00007FFD5F15B000 Qt5Xml.dll  	5.12.4.0
00007FFD68720000-00007FFD6872E000 libkritacolor.dll
00007FFD71DB0000-00007FFD71ED2000 RPCRT4.dll  	6.2.17763.379
00007FFD5F840000-00007FFD5F85F000 libkritacommand.dll
00007FFD6F1D0000-00007FFD6F24E000 bcryptPrimitives.dll	6.2.17763.615
00007FFD6FD60000-00007FFD71250000 SHELL32.dll 	6.2.17763.615
00007FFD5AB50000-00007FFD5AB71000 libkritaimpex.dll
00007FFD3A7F0000-00007FFD3AA04000 libkritaflake.dll
00007FFD6F300000-00007FFD6F34A000 cfgmgr32.dll	6.2.17763.1
00007FFD43040000-00007FFD430AA000 libkritalibbrush.dll
00007FFD6F7A0000-00007FFD6F848000 shcore.dll  	6.2.17763.1
00007FFD55720000-00007FFD55758000 libkritametadata.dll
00007FFD6E4C0000-00007FFD6EC0A000 windows.storage.dll	6.2.17763.615
00007FFD4CBC0000-00007FFD4CBE3000 libkritaplugin.dll
00007FFD3AF20000-00007FFD3AFB3000 libkritaodf.dll
00007FFD6E210000-00007FFD6E234000 profapi.dll 	6.2.17763.1
00007FFD6E240000-00007FFD6E29D000 powrprof.dll	6.2.17763.1
00007FFD42640000-00007FFD42669000 libKF5ConfigGui.dll
00007FFD3ACA0000-00007FFD3AD2A000 libKF5CoreAddons.dll
00007FFD3A2D0000-00007FFD3A54D000 libkritapigment.dll
00007FFD6F690000-00007FFD6F6E2000 shlwapi.dll 	6.2.17763.1
00007FFD3AC40000-00007FFD3AC9E000 libkritapsd.dll
00007FFD6E1F0000-00007FFD6E201000 kernel.appcore.dll	6.2.17763.1
00007FFD3F130000-00007FFD3F152000 libkritastore.dll
00007FFD3D100000-00007FFD3D129000 libKF5GuiAddons.dll
00007FFD6E4A0000-00007FFD6E4B7000 cryptsp.dll 	6.2.17763.1
00007FFD3A6C0000-00007FFD3A7E4000 libkritawidgets.dll
00007FFD3C4A0000-00007FFD3C4DD000 libKF5ItemViews.dll
00007FFD6FAB0000-00007FFD6FB1D000 WS2_32.dll  	6.2.17763.1
00007FFD3A1A0000-00007FFD3A2C9000 libKF5WidgetsAddons.dll
00007FFD3C450000-00007FFD3C47D000 libKF5WindowSystem.dll
00007FFD3AC00000-00007FFD3AC3C000 libKF5Completion.dll
00007FFD2EF10000-00007FFD2F187000 libexiv2.dll
00007FFD3ABA0000-00007FFD3ABF8000 Qt5PrintSupport.dll	5.12.4.0
00007FFD6F420000-00007FFD6F428000 PSAPI.DLL   	6.2.17763.1
00007FFD72010000-00007FFD72137000 comdlg32.dll	6.2.17763.1
00007FFD3A160000-00007FFD3A19E000 libpng16.dll
00007FFD39260000-00007FFD39353000 Qt5Multimedia.dll	5.12.4.0
00007FFD3A110000-00007FFD3A15E000 libHalf.dll
00007FFD2B050000-00007FFD2B1DD000 Qt5Network.dll	5.12.4.0
00007FFD6E2C0000-00007FFD6E49B000 CRYPT32.dll 	6.2.17763.1
00007FFD2F6D0000-00007FFD2F7E1000 libfftw3.dll
00007FFD5F1A0000-00007FFD5F1BE000 libintl.DLL 	0.18.0.0
00007FFD6E2A0000-00007FFD6E2B2000 MSASN1.dll  	6.2.17763.1
00007FFD6CB50000-00007FFD6CB7E000 dwmapi.dll  	6.2.17763.1
00007FFD6C820000-00007FFD6C8BC000 UxTheme.dll 	6.2.17763.1
00007FFD66DF0000-00007FFD66E0B000 MPR.dll     	6.2.17763.404
00007FFD5E080000-00007FFD5E097000 NETAPI32.dll	6.2.17763.1
00007FFD5F830000-00007FFD5F840000 Qt5Concurrent.dll	5.12.4.0
00007FFD39200000-00007FFD39253000 Qt5Svg.dll  	5.12.4.0
00007FFD6E120000-00007FFD6E148000 USERENV.dll 	6.2.17763.557
00007FFD3AB70000-00007FFD3AB9D000 libKF5Archive.dll
00007FFD39460000-00007FFD39490000 libquazip5.dll
00007FFD6AB70000-00007FFD6AB7A000 VERSION.dll 	6.2.17763.1
00007FFD66740000-00007FFD66764000 WINMM.dll   	6.2.17763.1
00007FFD391C0000-00007FFD391F5000 libexpat.dll
00007FFD5C4F0000-00007FFD5C502000 iconv.dll
00007FFD5B7A0000-00007FFD5B7C0000 libzlib.dll 	1.2.11.0
00007FFD680A0000-00007FFD68149000 COMCTL32.dll	5.82.17763.1
00007FFD61CD0000-00007FFD61D59000 WINSPOOL.DRV	6.2.17763.592
00007FFD6F350000-00007FFD6F376000 bcrypt.dll  	6.2.17763.1
00007FFD6D800000-00007FFD6D8C6000 DNSAPI.dll  	6.2.17763.615
00007FFD6D7C0000-00007FFD6D7FD000 IPHLPAPI.DLL	6.2.17763.615
00007FFD6FB20000-00007FFD6FB28000 NSI.dll     	6.2.17763.1
00007FFD27B80000-00007FFD27E25000 libcrypto-1_1-x64.dll	1.1.1.2
00007FFD38CA0000-00007FFD38D26000 libssl-1_1-x64.dll	1.1.1.2
00007FFD66710000-00007FFD6673D000 winmmbase.dll	6.2.17763.1
00007FFD69D40000-00007FFD69EE8000 PROPSYS.dll 	7.0.17763.348
00007FFD6F460000-00007FFD6F524000 OLEAUT32.dll	6.2.17763.437
00007FFD6D8D0000-00007FFD6D8DE000 NETUTILS.DLL	6.2.17763.1
00007FFD6DC30000-00007FFD6DC3C000 CRYPTBASE.DLL	6.2.17763.1
00007FFD696D0000-00007FFD6970F000 LOGONCLI.DLL	6.2.17763.1
00007FFD5F920000-00007FFD5F946000 SRVCLI.DLL  	6.2.17763.1
00007FFD67EE0000-00007FFD67EF8000 SAMCLI.DLL  	6.2.17763.1
00007FFD6F430000-00007FFD6F45E000 IMM32.DLL   	6.2.17763.1
000000006A880000-000000006AA36000 qwindows.dll	5.12.4.0
00007FFD6AC00000-00007FFD6AC13000 WTSAPI32.dll	6.2.17763.1
00007FFD5D940000-00007FFD5DADE000 d3d9.dll    	6.2.17763.1
00007FFD6EC10000-00007FFD6EC69000 WINTRUST.DLL	6.2.17763.348
00007FFD6FB30000-00007FFD6FB4D000 imagehlp.dll	6.2.17763.1
00007FFD6D620000-00007FFD6D653000 rsaenh.dll  	6.2.17763.1
00007FFD29D30000-00007FFD29E57000 opengl32.dll	6.2.17763.1
00007FFD39190000-00007FFD391BC000 GLU32.dll   	6.2.17763.1
00007FFD71C40000-00007FFD71DAB000 MSCTF.dll   	6.2.17763.529
000000005B6E0000-000000005DE26000 nvoglv64.dll	26.21.14.3086
00007FFD717C0000-00007FFD71C36000 SETUPAPI.dll	6.2.17763.404
00007FFD6E020000-00007FFD6E049000 DEVOBJ.dll  	6.2.17763.1
00007FFD6D2A0000-00007FFD6D2D1000 ntmarta.dll 	6.2.17763.1
00007FFD39600000-00007FFD398B2000 nvspcap64.dll	3.19.0.94
00007FFD6D340000-00007FFD6D398000 WINSTA.dll  	6.2.17763.1
00007FFD6FB50000-00007FFD6FBF2000 clbcatq.dll 	2001.12.10941.16384
00007FFD5D000000-00007FFD5D010000 libEGL.DLL  	5.12.4.0
00007FFD11930000-00007FFD11D09000 libGLESv2.dll	5.12.4.0
00007FFD6CF60000-00007FFD6D022000 dxgi.dll    	6.2.17763.1
00007FFD6BE70000-00007FFD6C033000 dcomp.dll   	6.2.17763.592
00007FFD1BF50000-00007FFD1C184000 wintab32.dll	1.0.5.8
00007FFD6CED0000-00007FFD6CEDE000 HID.DLL     	6.2.17763.1
00007FFD398C0000-00007FFD39B1D000 Wacom_Tablet.dll	6.3.29.3
00007FFD6B5D0000-00007FFD6B84E000 d3d11.dll   	6.2.17763.1
00007FFD656C0000-00007FFD657AE000 nvldumdx.dll	26.21.14.3086
00007FFD33420000-00007FFD359D3000 nvwgf2umx.dll	26.21.14.3086
000000006CC40000-000000006CC74000 qwindowsvistastyle.dll	5.12.4.0
00007FFD5B2A0000-00007FFD5B2B2000 kimg_exr.dll
00007FFD5AB30000-00007FFD5AB43000 libIex.dll
00007FFD10CC0000-00007FFD10F5B000 libIlmImf.dll
00007FFD59C10000-00007FFD59C1F000 libIlmThread.dll
00007FFD57420000-00007FFD5743A000 libImath.dll
00007FFD55700000-00007FFD55711000 kimg_kra.dll
00007FFD3F110000-00007FFD3F121000 kimg_ora.dll
00007FFD3C430000-00007FFD3C443000 kimg_pcx.dll
00007FFD3A0F0000-00007FFD3A103000 kimg_pic.dll
00007FFD39FA0000-00007FFD39FB1000 kimg_psd.dll
00007FFD39170000-00007FFD39182000 kimg_ras.dll
00007FFD39150000-00007FFD39164000 kimg_rgb.dll
00007FFD38EE0000-00007FFD38EF1000 kimg_tga.dll
00007FFD38EC0000-00007FFD38EDF000 kimg_xcf.dll
0000000061F00000-0000000061F13000 qgif.dll    	5.12.4.0
000000006C600000-000000006C615000 qicns.dll   	5.12.4.0
000000006E840000-000000006E853000 qico.dll    	5.12.4.0
00000000626C0000-0000000062729000 qjpeg.dll   	5.12.4.0
0000000061B00000-0000000061B11000 qsvg.dll    	5.12.4.0
000000006CF00000-000000006CF71000 qtiff.dll   	5.12.4.0
0000000066AC0000-0000000066AD1000 qwbmp.dll   	5.12.4.0
00000000675C0000-0000000067652000 qwebp.dll   	5.12.4.0
00007FFD55200000-00007FFD55256000 dataexchange.dll	6.2.17763.1
00007FFD6C8F0000-00007FFD6CAFD000 twinapi.appcore.dll	6.2.17763.292
00007FFD6CB00000-00007FFD6CB28000 RMCLIENT.dll	6.2.17763.194
00007FFD38E00000-00007FFD38E11000 exchndl.dll 	0.8.2.0
00007FFD2B7D0000-00007FFD2B832000 mgwhelp.dll 	0.8.2.0
00007FFD279F0000-00007FFD27B7F000 dbghelp.dll 	6.3.9600.17298
00007FFD5AEE0000-00007FFD5B1DC000 dwrite.dll  	6.2.17763.615
00007FFD68550000-00007FFD685E5000 TextInputFramework.dll	6.2.17763.1
00007FFD65D00000-00007FFD66022000 CoreUIComponents.dll	6.2.17763.1
00007FFD6C3B0000-00007FFD6C492000 CoreMessaging.dll	6.2.17763.194
00007FFD69AE0000-00007FFD69C33000 wintypes.dll	6.2.17763.134
00007FFD61C60000-00007FFD61CCC000 Oleacc.dll  	7.2.17763.1
00007FFD4FED0000-00007FFD5012B000 UIAutomationCore.dll	7.2.17763.1
00007FFD5EB70000-00007FFD5EBCC000 Bcp47Langs.dll	6.2.17763.1
00007FFD6E050000-00007FFD6E0EB000 sxs.dll     	6.2.17763.1
00007FFD38DE0000-00007FFD38DF5000 krita_shape_image.dll
00007FFD263D0000-00007FFD264B0000 krita_shape_text.dll
00007FFD2AFD0000-00007FFD2B044000 libkritatextlayout.dll
00007FFD11E00000-00007FFD11F8D000 libkritatext.dll
00007FFD32D80000-00007FFD32DBF000 krita_shape_artistictext.dll
00007FFD2B760000-00007FFD2B7C2000 krita_shape_paths.dll
00007FFD38C80000-00007FFD38C98000 kritaasccdl.dll
00007FFD2B6B0000-00007FFD2B6E2000 kritablurfilter.dll
00007FFD29F90000-00007FFD29FD9000 kritacolorsfilters.dll
00007FFD32D60000-00007FFD32D79000 kritaconvertheighttonormalmap.dll
00007FFD2B690000-00007FFD2B6A5000 kritaconvolutionfilters.dll
00007FFD29F70000-00007FFD29F84000 kritadodgeburn.dll
00007FFD29D10000-00007FFD29D29000 kritaedgedetection.dll
00007FFD29CF0000-00007FFD29D03000 kritaembossfilter.dll
00007FFD29CD0000-00007FFD29CE4000 kritaexample.dll
00007FFD29CB0000-00007FFD29CCA000 kritaextensioncolorsfilters.dll
00007FFD29C90000-00007FFD29CA9000 kritafastcolortransferfilter.dll
00007FFD29C70000-00007FFD29C8F000 kritagradientmap.dll
00007FFD298E0000-00007FFD29905000 kritaguassianhighpassfilter.dll
00007FFD298C0000-00007FFD298DC000 kritahalftone.dll
00007FFD29890000-00007FFD298BB000 kritaimageenhancement.dll
00007FFD29870000-00007FFD2988D000 kritaindexcolors.dll
00007FFD29850000-00007FFD29869000 kritalevelfilter.dll
00007FFD28E20000-00007FFD28E38000 kritanoisefilter.dll
00007FFD28E00000-00007FFD28E15000 kritanormalize.dll
00007FFD28DE0000-00007FFD28DF7000 kritaoilpaintfilter.dll
00007FFD28DB0000-00007FFD28DD6000 kritapalettize.dll
00007FFD28C80000-00007FFD28CA6000 kritaphongbumpmap.dll
00007FFD28D90000-00007FFD28DA7000 kritapixelizefilter.dll
00007FFD28C60000-00007FFD28C77000 kritaposterize.dll
00007FFD28C40000-00007FFD28C54000 kritaraindropsfilter.dll
00007FFD263B0000-00007FFD263C9000 kritarandompickfilter.dll
00007FFD26390000-00007FFD263A7000 kritaroundcornersfilter.dll
00007FFD26370000-00007FFD26385000 kritasmalltilesfilter.dll
00007FFD26350000-00007FFD2636A000 kritathreshold.dll
00007FFD26320000-00007FFD26343000 kritaunsharpfilter.dll
00007FFD26300000-00007FFD2631B000 kritawavefilter.dll
00007FFD262E0000-00007FFD262F8000 kritacolorgenerator.dll
00007FFD262C0000-00007FFD262D8000 kritapatterngenerator.dll
00007FFD26270000-00007FFD2628E000 kritasimplexnoisegenerator.dll
00007FFD26150000-00007FFD26187000 kritacolorsmudgepaintop.dll
00007FFD103A0000-00007FFD104B8000 libkritalibpaintop.dll
00007FFD05B80000-00007FFD066F7000 kritalcmsengine.dll
00007FFD25B70000-00007FFD25BC3000 liblcms2.dll
00007FFD25B30000-00007FFD25B69000 krita_colorspaces_extensions.dll
00007FFD25B00000-00007FFD25B2B000 kritacurvepaintop.dll
00007FFD1E0C0000-00007FFD1E11A000 kritadefaultpaintops.dll
00007FFD1D7C0000-00007FFD1D7F5000 kritadeformpaintop.dll
00007FFD1E090000-00007FFD1E0BD000 kritaexperimentpaintop.dll
00007FFD1D740000-00007FFD1D768000 kritafilterop.dll
00007FFD1D710000-00007FFD1D733000 kritagridpaintop.dll
00007FFD11DC0000-00007FFD11DF1000 kritahairypaintop.dll
00007FFD11D80000-00007FFD11DB7000 kritahatchingpaintop.dll
00007FFD11240000-00007FFD11268000 kritaparticlepaintop.dll
00007FFD10C90000-00007FFD10CB6000 kritaroundmarkerpaintop.dll
00007FFD10C60000-00007FFD10C8C000 kritasketchpaintop.dll
00007FFD10C20000-00007FFD10C5D000 kritaspraypaintop.dll
00007FFD10BF0000-00007FFD10C1B000 kritatangentnormalpaintop.dll
00007FFD10BB0000-00007FFD10BEF000 krita_filtereffects.dll
00007FFD6E0F0000-00007FFD6E11F000 SspiCli.dll 	6.2.17763.1
00007FFD10A70000-00007FFD10AB3000 kritaassistanttool.dll
00007FFD10340000-00007FFD10398000 krita_flaketools.dll
00007FFD102D0000-00007FFD1033E000 krita_karbontools.dll
00007FFD25AE0000-00007FFD25AF2000 krita_tool_basicflakes.dll
00007FFD1D7A0000-00007FFD1D7BB000 libkritabasicflakes.dll
00007FFD10290000-00007FFD102CD000 krita_tool_svgtext.dll
00007FFD10210000-00007FFD1028F000 kritadefaulttools.dll
00007FFD59C00000-00007FFD59C10000 libboost_system-mgw73-mt-1_61.dll
00007FFD10180000-00007FFD10202000 kritaselectiontools.dll
00007FFD10150000-00007FFD1017E000 kritatoolSmartPatch.dll
00007FFD10120000-00007FFD1014C000 kritatoolcrop.dll
00007FFD1D6F0000-00007FFD1D707000 kritatooldyna.dll
00007FFD100F0000-00007FFD10113000 kritatoollazybrush.dll
00007FFD1C920000-00007FFD1C936000 kritatoolpolygon.dll
00007FFD1BF30000-00007FFD1BF46000 kritatoolpolyline.dll
00007FFD10000000-00007FFD100EF000 kritatooltransform.dll
00007FFD0FF50000-00007FFD0FFF4000 kritaanimationdocker.dll
00007FFD0FF30000-00007FFD0FF47000 kritasvgcollectiondocker.dll
00007FFD0FF10000-00007FFD0FF29000 kritaarrangedocker.dll
00007FFD0FEE0000-00007FFD0FF10000 kritaartisticcolorselector.dll
00007FFD0FEB0000-00007FFD0FED2000 kritachanneldocker.dll
00007FFD0FE40000-00007FFD0FEA2000 kritacolorselectorng.dll
00000000136B0000-00000000136C4000 qsvgicon.dll	5.12.4.0
00007FFD0FE20000-00007FFD0FE3F000 kritacompositiondocker.dll
00007FFD0FE00000-00007FFD0FE15000 kritadigitalmixer.dll
00007FFD0FDD0000-00007FFD0FDFC000 kritagamutmask.dll
00007FFD0FD90000-00007FFD0FDAD000 kritagriddocker.dll
00007FFD0FD70000-00007FFD0FD88000 kritahistogramdocker.dll
00007FFD0FD50000-00007FFD0FD70000 kritahistorydocker.dll
00007FFD0FD00000-00007FFD0FD42000 kritalayerdocker.dll
00007FFD0FCE0000-00007FFD0FCFA000 kritalogdocker.dll
00007FFD0FCB0000-00007FFD0FCD9000 kritalutdocker.dll
00007FFD0E7B0000-00007FFD0E902000 libOpenColorIO.dll
00007FFD0FC90000-00007FFD0FCAC000 kritaoverviewdocker.dll
00007FFD0FC70000-00007FFD0FC8E000 kritapalettedocker.dll
00007FFD0FC50000-00007FFD0FC63000 kritapatterndocker.dll
00007FFD0FC30000-00007FFD0FC44000 kritapresetdocker.dll
00007FFD0FBE0000-00007FFD0FBF5000 kritapresethistory.dll
00007FFD0FBB0000-00007FFD0FBD1000 kritasmallcolorselector.dll
00007FFD0FB90000-00007FFD0FBAD000 kritasnapshotdocker.dll
00007FFD0FA70000-00007FFD0FA8C000 kritaspecificcolorselector.dll
00007FFD0FA40000-00007FFD0FA68000 kritatasksetdocker.dll
00007FFD0FA20000-00007FFD0FA3C000 kritatouchdocker.dll
00007FFD0FA00000-00007FFD0FA19000 Qt5QuickWidgets.dll	5.12.4.0
00007FFD05A60000-00007FFD05B78000 libkritaqml.dll
00007FFD05660000-00007FFD05A53000 Qt5Qml.dll  	5.12.4.0
00007FFD05270000-00007FFD0565D000 Qt5Quick.dll	5.12.4.0
0000000067580000-00000000675A2000 qgenericbearer.dll	5.12.4.0
00007FFD69070000-00007FFD69086000 dhcpcsvc6.DLL	6.2.17763.1
00007FFD69AC0000-00007FFD69ADC000 dhcpcsvc.DLL	6.2.17763.1
00007FFD50E40000-00007FFD50E85000 edputil.dll 	6.2.17763.1
00007FFD69A80000-00007FFD69A96000 napinsp.dll 	6.2.17763.1
00007FFD686C0000-00007FFD686DA000 pnrpnsp.dll 	6.2.17763.1
00007FFD6DA60000-00007FFD6DAC7000 mswsock.dll 	6.2.17763.292
00007FFD6AE90000-00007FFD6AE9E000 winrnr.dll  	6.2.17763.1
00007FFD6A2D0000-00007FFD6A2EB000 NLAapi.dll  	6.2.17763.134
00007FFD4CD60000-00007FFD4CD75000 wshbth.dll  	6.2.17763.1
00007FFD0F9C0000-00007FFD0FA00000 kritaanimationrenderer.dll
00007FFD0F9A0000-00007FFD0F9B6000 kritabuginfo.dll
00007FFD0F980000-00007FFD0F99D000 kritaclonesarray.dll
00007FFD0E780000-00007FFD0E7A1000 kritacolorrange.dll
00007FFD0E760000-00007FFD0E77A000 kritacolorspaceconversion.dll
00007FFD08A30000-00007FFD08A61000 kritaimagesize.dll
00007FFD0E740000-00007FFD0E75D000 kritaimagesplit.dll
00007FFD08A10000-00007FFD08A25000 kritalayergroupswitcher.dll
00007FFD089F0000-00007FFD08A0F000 kritalayersplit.dll
00007FFD089C0000-00007FFD089EB000 kritametadataeditor.dll
00007FFD05250000-00007FFD0526C000 kritamodifyselection.dll
00007FFD05220000-00007FFD05242000 kritaoffsetimage.dll
00007FFD051D0000-00007FFD05215000 kritaqmic.dll
00007FFD05190000-00007FFD051C7000 kritaresourcemanager.dll
00007FFD05170000-00007FFD0518C000 kritarotateimage.dll
00007FFD05140000-00007FFD05162000 kritaseparatechannels.dll
00007FFD05120000-00007FFD05135000 kritashearimage.dll
00007FFD05100000-00007FFD0511B000 kritawaveletdecompose.dll
00007FFD050D0000-00007FFD050FD000 kritapykrita.dll
00007FFD05030000-00007FFD050CB000 libkritalibkis.dll
0000000072360000-00000000726F4000 python36.dll	3.6.2150.1013
00007FFD05010000-00007FFD05027000 VCRUNTIME140.dll	14.0.23026.0
00007FFD04F90000-00007FFD05002000 krita.pyd
0000000026820000-0000000026844000 sip.pyd
0000000072700000-0000000072A27000 QtCore.pyd
00007FFD57350000-00007FFD5735F000 python3.dll 	3.6.2150.1013
0000000072A30000-0000000072D5F000 QtGui.pyd
0000000072D60000-00000000733FF000 QtWidgets.pyd
00000000396B0000-00000000396FE000 QtXml.pyd
0000000019F90000-0000000019FAA000 _bz2.pyd    	3.6.2150.1013
00007FFD04F40000-00007FFD04F82000 _lzma.pyd   	3.6.2150.1013
00007FFD04DD0000-00007FFD04F39000 _hashlib.pyd	3.6.2150.1013
000000002A420000-000000002A42D000 Qt.pyd
0000000069070000-000000006915D000 QtNetwork.pyd
0000000055750000-000000005580D000 QtMultimedia.pyd
000000005B230000-000000005B303000 QtQml.pyd
0000000056D50000-0000000056DAB000 QtPrintSupport.pyd
000000006FA30000-000000006FBB8000 QtQuick.pyd
000000002C5D0000-000000002C5FA000 QtSvg.pyd
000000002C1B0000-000000002C1C9000 QtQuickWidgets.pyd
0000000037320000-000000003734D000 _elementtree.pyd	3.6.2150.1013
00007FFD04D90000-00007FFD04DC3000 pyexpat.pyd 	3.6.2150.1013
0000000034C20000-0000000034C35000 _socket.pyd 	3.6.2150.1013
0000000035E80000-0000000035E8A000 select.pyd  	3.6.2150.1013
0000000038F70000-0000000038F7E000 _overlapped.pyd	3.6.2150.1013
0000000038F90000-0000000038F9B000 _multiprocessing.pyd	3.6.2150.1013
00007FFD04D70000-00007FFD04D81000 _asyncio.pyd	3.6.2150.1013
00007FFD04B70000-00007FFD04D6D000 _ssl.pyd    	3.6.2150.1013
000000003F8C0000-000000003F8CF000 qtquick2plugin.dll	5.12.4.0
00007FFD04AA0000-00007FFD04B61000 kritasketchplugin.dll
00007FFD64AA0000-00007FFD64AAA000 rasadhlp.dll	6.2.17763.1
00007FFD660A0000-00007FFD66119000 fwpuclnt.dll	6.2.17763.1
00007FFD04830000-00007FFD04A9F000 d3dcompiler_43.dll	9.29.952.3111
00007FFD3DEB0000-00007FFD3DF24000 dopushlp.dll	12.15.0.0
00007FFD04810000-00007FFD0482C000 kritakraimport.dll
00007FFD047A0000-00007FFD04806000 libkritalibkra.dll
00007FFD58F90000-00007FFD59209000 comctl32.dll	6.10.17763.592
00007FFD65AA0000-00007FFD65C58000 WindowsCodecs.dll	6.2.17763.55
00007FFD53BC0000-00007FFD53C21000 thumbcache.dll	6.2.17763.404
00007FFD51F50000-00007FFD52431000 WININET.dll 	11.0.17763.529
00007FFD61D60000-00007FFD62008000 iertutil.dll	11.0.17763.592
00007FFD517D0000-00007FFD517E6000 ondemandconnroutehelper.dll	6.2.17763.1
00007FFD662D0000-00007FFD663C2000 winhttp.dll 	6.2.17763.592
00007FFD6A500000-00007FFD6A50B000 WINNSI.DLL  	6.2.17763.1
00007FFD67160000-00007FFD67337000 urlmon.dll  	11.0.17763.592
00007FFD6D550000-00007FFD6D5D5000 schannel.DLL	6.2.17763.557
00007FFD53020000-00007FFD53035000 mskeyprotect.dll	6.2.17763.1
00007FFD6DD30000-00007FFD6DD56000 ncrypt.dll  	6.2.17763.1
00007FFD6DCF0000-00007FFD6DD2C000 NTASN1.dll  	6.2.17763.1
00007FFD6D660000-00007FFD6D66A000 DPAPI.DLL   	6.2.17763.1
00007FFD602E0000-00007FFD6030F000 cryptnet.dll	6.2.17763.1
00007FFD53070000-00007FFD53094000 ncryptsslp.dll	6.2.17763.1

Windows 6.2.9200
DrMingw 0.8.2
Comment 3 wolthera 2019-07-17 19:24:32 UTC
ASAN result
===================================

wolthera@Euthenia:~/krita/build$ krita
Set style "fusion"
KoColor debug runtime checks are active.
krita.lib.pigment: Illegal XML palette: "/home/wolthera/.local/share/krita/palettes/colorset.xml"
krita.lib.pigment: Error (line 1 , column 159 ): "Unknown XML palette format. Expected SCRIBUSCOLORS, found Colorset"
krita.lib.widgets: Loading resource  "/home/wolthera/.local/share/krita/palettes/colorset.xml" failed. "ko_palettes"
krita.lib.pigment: Illegal XML palette: "/home/wolthera/.local/share/krita/palettes/profiles.xml"
krita.lib.pigment: Error (line 1 , column 10 ): "Unknown XML palette format. Expected SCRIBUSCOLORS, found Profiles"
krita.lib.widgets: Loading resource  "/home/wolthera/.local/share/krita/palettes/profiles.xml" failed. "ko_palettes"
QObject::startTimer: Timers cannot have negative intervals
Comparators already registered for type KoSvgText::AutoValue
Debug stream operator already registered for type KoSvgText::AutoValue
Comparators already registered for type KoSvgText::BackgroundProperty
Debug stream operator already registered for type KoSvgText::BackgroundProperty
Comparators already registered for type KoSvgText::StrokeProperty
Debug stream operator already registered for type KoSvgText::StrokeProperty
/home/wolthera/krita/inst/lib/x86_64-linux-gnu/krita-python-libs/krita added to PYTHONPATH
krita.scripting: "Traceback (most recent call last):"
krita.scripting: "  File \"/home/wolthera/krita/inst/share/krita/pykrita/palette_docker/__init__.py\", line 2, in <module>"
krita.scripting: "    from .palette_docker import *"
krita.scripting: "  File \"/home/wolthera/krita/inst/share/krita/pykrita/palette_docker/palette_docker.py\", line 31, in <module>"
krita.scripting: "    class Palette_Docker(DockWidget):"
krita.scripting: "  File \"/home/wolthera/krita/inst/share/krita/pykrita/palette_docker/palette_docker.py\", line 126, in Palette_Docker"
krita.scripting: "    @pyqtSlot('KisSwatch')"
krita.scripting: "TypeError: C++ type 'KisSwatch' is not supported as a pyqtSlot type argument type"
krita.scripting: "Could not import palette_docker"
krita.scripting: Error loading plugin "palette_docker"
QLayout: Attempting to add QLayout "" to QWidget "", which already has a layout
=================================================================
==17875==ERROR: AddressSanitizer: heap-use-after-free on address 0x604001a75cd0 at pc 0x7f50ad6f10e2 bp 0x7ffe4a915170 sp 0x7ffe4a915160
READ of size 4 at 0x604001a75cd0 thread T0
    #0 0x7f50ad6f10e1 in std::__atomic_base<int>::load(std::memory_order) const /usr/include/c++/7/bits/atomic_base.h:396
    #1 0x7f50ad6f10e1 in int QAtomicOps<int>::load<int>(std::atomic<int> const&) /usr/include/x86_64-linux-gnu/qt5/QtCore/qatomic_cxx11.h:227
    #2 0x7f50ad6ef539 in QBasicAtomicInteger<int>::load() const /usr/include/x86_64-linux-gnu/qt5/QtCore/qbasicatomic.h:103
    #3 0x7f50ad6ed705 in QtPrivate::RefCount::deref() /usr/include/x86_64-linux-gnu/qt5/QtCore/qrefcount.h:66
    #4 0x7f50ae4c2e51 in QMap<KisSharedPtr<KisOpenGLImageTextures>, KisAnimationFrameCache*>::~QMap() /usr/include/x86_64-linux-gnu/qt5/QtCore/qmap.h:339
    #5 0x7f50a674c614 in __cxa_finalize (/lib/x86_64-linux-gnu/libc.so.6+0x43614)
    #6 0x7f50ad6e8d52  (/home/wolthera/krita/inst/lib/x86_64-linux-gnu/libkritaui.so.19+0x29e9d52)

0x604001a75cd0 is located 0 bytes inside of 40-byte region [0x604001a75cd0,0x604001a75cf8)
freed by thread T0 here:
    #0 0x7f50b2d1c9d8 in operator delete(void*, unsigned long) (/usr/lib/x86_64-linux-gnu/libasan.so.4+0xe19d8)
    #1 0x7f504d585b71 in QMapData<KisSharedPtr<KisOpenGLImageTextures>, KisAnimationFrameCache*>::destroy() /usr/include/x86_64-linux-gnu/qt5/QtCore/qmap.h:251
    #2 0x7f504d585cc8 in QMap<KisSharedPtr<KisOpenGLImageTextures>, KisAnimationFrameCache*>::~QMap() /usr/include/x86_64-linux-gnu/qt5/QtCore/qmap.h:339
    #3 0x7f50a674c040  (/lib/x86_64-linux-gnu/libc.so.6+0x43040)

previously allocated by thread T0 here:
    #0 0x7f50b2d1b458 in operator new(unsigned long) (/usr/lib/x86_64-linux-gnu/libasan.so.4+0xe0458)
    #1 0x7f50a71b251d in QMapDataBase::createData() (/usr/lib/x86_64-linux-gnu/libQt5Core.so.5+0x11751d)
    #2 0x7f50ae4c22be in QMap<KisSharedPtr<KisOpenGLImageTextures>, KisAnimationFrameCache*>::detach_helper() /usr/include/x86_64-linux-gnu/qt5/QtCore/qmap.h:1006
    #3 0x7f50ae4c1601 in QMap<KisSharedPtr<KisOpenGLImageTextures>, KisAnimationFrameCache*>::detach() /usr/include/x86_64-linux-gnu/qt5/QtCore/qmap.h:364
    #4 0x7f50ae4bfdd8 in QMap<KisSharedPtr<KisOpenGLImageTextures>, KisAnimationFrameCache*>::find(KisSharedPtr<KisOpenGLImageTextures> const&) (/home/wolthera/krita/inst/lib/x86_64-linux-gnu/libkritaui.so.19+0x37c0dd8)
    #5 0x7f50ae4b93f6 in KisAnimationFrameCache::getFrameCache(KisSharedPtr<KisOpenGLImageTextures>) /home/wolthera/krita/src/libs/ui/kis_animation_frame_cache.cpp:199
    #6 0x7f50ad709c42 in KisCanvas2::createOpenGLCanvas() /home/wolthera/krita/src/libs/ui/canvas/kis_canvas2.cpp:528
    #7 0x7f50ad70a341 in KisCanvas2::createCanvas(bool) /home/wolthera/krita/src/libs/ui/canvas/kis_canvas2.cpp:553
    #8 0x7f50ad704fc9 in KisCanvas2::setup() /home/wolthera/krita/src/libs/ui/canvas/kis_canvas2.cpp:226
    #9 0x7f50ae3c1df1 in KisView::KisView(KisDocument*, KoCanvasResourceProvider*, KActionCollection*, QWidget*) /home/wolthera/krita/src/libs/ui/KisView.cpp:229
    #10 0x7f50ae38fa5b in KisPart::createView(KisDocument*, KoCanvasResourceProvider*, KActionCollection*, QWidget*) /home/wolthera/krita/src/libs/ui/KisPart.cpp:242
    #11 0x7f50ae33f3a3 in KisMainWindow::addViewAndNotifyLoadingCompleted(KisDocument*) /home/wolthera/krita/src/libs/ui/KisMainWindow.cpp:954
    #12 0x7f50ae395186 in KisPart::startCustomDocument(KisDocument*) /home/wolthera/krita/src/libs/ui/KisPart.cpp:520
    #13 0x7f50ae50ef2d in KisPart::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) /home/wolthera/krita/build/libs/ui/kritaui_autogen/EWIEGA46WW/moc_KisPart.cpp:142
    #14 0x7f50a734b874 in QMetaObject::activate(QObject*, int, int, void**) (/usr/lib/x86_64-linux-gnu/libQt5Core.so.5+0x2b0874)
    #15 0x7f50ae50e243 in KisOpenPane::documentSelected(KisDocument*) /home/wolthera/krita/build/libs/ui/kritaui_autogen/EWIEGA46WW/moc_KisOpenPane.cpp:241
    #16 0x7f50adf19b88 in KisCustomImageWidget::createImage() /home/wolthera/krita/src/libs/ui/widgets/kis_custom_image_widget.cc:257
    #17 0x7f50ae55dfba in KisCustomImageWidget::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) /home/wolthera/krita/build/libs/ui/kritaui_autogen/IMAN36LHMA/moc_kis_custom_image_widget.cpp:201
    #18 0x7f50a734b874 in QMetaObject::activate(QObject*, int, int, void**) (/usr/lib/x86_64-linux-gnu/libQt5Core.so.5+0x2b0874)
    #19 0x7f50a82a293f  (/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5+0x2e793f)

SUMMARY: AddressSanitizer: heap-use-after-free /usr/include/c++/7/bits/atomic_base.h:396 in std::__atomic_base<int>::load(std::memory_order) const
Shadow bytes around the buggy address:
  0x0c0880346b40: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
  0x0c0880346b50: fa fa fa fa fa fa fa fa fa fa fd fd fd fd fd fd
  0x0c0880346b60: fa fa fd fd fd fd fd fd fa fa fa fa fa fa fa fa
  0x0c0880346b70: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
  0x0c0880346b80: fa fa fd fd fd fd fd fd fa fa fa fa fa fa fa fa
=>0x0c0880346b90: fa fa 00 00 00 00 00 00 fa fa[fd]fd fd fd fd fa
  0x0c0880346ba0: fa fa 00 00 00 00 00 fa fa fa 00 00 00 00 00 fa
  0x0c0880346bb0: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
  0x0c0880346bc0: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
  0x0c0880346bd0: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
  0x0c0880346be0: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
Shadow byte legend (one shadow byte represents 8 application bytes):
  Addressable:           00
  Partially addressable: 01 02 03 04 05 06 07 
  Heap left redzone:       fa
  Freed heap region:       fd
  Stack left redzone:      f1
  Stack mid redzone:       f2
  Stack right redzone:     f3
  Stack after return:      f5
  Stack use after scope:   f8
  Global redzone:          f9
  Global init order:       f6
  Poisoned by user:        f7
  Container overflow:      fc
  Array cookie:            ac
  Intra object redzone:    bb
  ASan internal:           fe
  Left alloca redzone:     ca
  Right alloca redzone:    cb
==17875==ABORTING
Comment 4 wolthera 2019-07-17 19:38:39 UTC
whoops, last one IS NOT for this report.
Comment 5 vanyossi 2019-07-22 04:17:04 UTC
Git commit 7a98356d68500d3b97ca3479410a54d7a3ec4f3e by Ivan Yossi.
Committed on 22/07/2019 at 04:16.
Pushed by ivany into branch 'master'.

Remove deleted session pointer from KisPart currentSession

M  +1    -0    libs/ui/dialogs/KisSessionManagerDialog.cpp

https://invent.kde.org/kde/krita/commit/7a98356d68500d3b97ca3479410a54d7a3ec4f3e
Comment 6 Halla Rempt 2019-07-29 08:35:39 UTC
Git commit 9c3977b71792f26958ec805a466c048fe0a97549 by Boudewijn Rempt, on behalf of Ivan Yossi.
Committed on 29/07/2019 at 08:34.
Pushed by rempt into branch 'krita/4.2'.

Remove deleted session pointer from KisPart currentSession

M  +1    -0    libs/ui/dialogs/KisSessionManagerDialog.cpp

https://invent.kde.org/kde/krita/commit/9c3977b71792f26958ec805a466c048fe0a97549